package com.ssm.manage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.ssm.manage.utils.DateUtils;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.*;

@Table(name = "course_list_${tab}")
@JsonIgnoreProperties(ignoreUnknown = true)
public class CourseList implements Serializable {

    @Getter
    @Setter
    @Transient
    private BigDecimal cooperAchi;

    @Getter
    @Setter
    @Transient
    private String anotherName;

    /**
     * 主键ID
     */
    private Long id;
    /**
     * 是否是合作项目  0不是、1按比例、2固定金额
     */
    private Integer isCooperation;
    private BigDecimal brokerage;

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    /**
     * 性别
     */
    private Integer sex;

    /**
     * 疗程开卡单
     */
    @Column(name = "course_reatment_num")
    private String courseReatmentNum;

    /**
     * 疗程开卡日期
     */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date date;

    /**
     * 会员编码
     */
    @Column(name = "member_id")
    private Long memberId;

    /**
     * 会员名称
     */
    @Column(name = "member_name")
    private String memberName;

    /**
     * 会员手机号
     */
    @Column(name = "mobile_phone")
    private String mobilePhone;

    /**
     * 会员身份证号
     */
    @Column(name = "member_identity")
    private String memberIdentity;

    /**
     * 会员卡
     */
    private String card;

    /**
     * 项目编码
     */
    @Column(name = "projct_id")
    private Long projctId;

    /**
     * 项目名称
     */
    @Column(name = "project_name")
    private String projectName;

    /**
     * 门店编码
     */
    @Column(name = "store_id")
    private Long storeId;


    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;

    /**
     * 最少销售次数
     */
    @Column(name = "minumum_times")
    private Integer minumumTimes;

    /**
     * 散客价
     */
    private BigDecimal price;

    /**
     * 散客最低价
     */
    @Column(name = "minumum_price")
    private BigDecimal minumumPrice;

    /**
     * 会员价
     */
    @Column(name = "price_member")
    private BigDecimal priceMember;

    /**
     * 会员最低价
     */
    @Column(name = "minumum_price_member")
    private BigDecimal minumumPriceMember;

    /**
     * 销售次单价
     */
    @Column(name = "sales_price")
    private BigDecimal salesPrice;

    /**
     * 销售次数
     */
    @Column(name = "number_times")
    private Integer numberTimes;

    /**
     * 销售金额
     */
    private BigDecimal amount;

    /**
     * 现付金额
     */
    @Column(name = "collection_cash_amount")
    private BigDecimal collectionCashAmount;

    /**
     * 积分付金额
     */
    @Column(name = "collection_integral_amount")
    private BigDecimal collectionIntegralAmount;

    /**
     * 使用积分
     */
    private Integer integral;

    /**
     * 充值卡付金额
     */
    @Column(name = "collection_recharge_amount")
    private BigDecimal collectionRechargeAmount;

    /**
     * 实收总额
     */
    @Column(name = "course_reatment_amount")
    private BigDecimal courseReatmentAmount;

    /**
     * 现付销售业绩标准
     */
    @Column(name = "sales_achievement")
    private BigDecimal salesAchievement;

    /**
     * 现付销售提成标准
     */
    @Column(name = "sales_commission")
    private BigDecimal salesCommission;

    /**
     * 卡付销售业绩标准
     */
    @Column(name = "card_sales_achievement")
    private BigDecimal cardSalesAchievement;

    /**
     * 卡付销售提成标准
     */
    @Column(name = "card_sales_commission")
    private BigDecimal cardSalesCommission;

    /**
     * 现付销售业绩
     */
    @Column(name = "achievement_amount")
    private BigDecimal achievementAmount;

    /**
     * 现付销售提成
     */
    @Column(name = "commission_amount")
    private BigDecimal commissionAmount;

    /**
     * 卡付销售业绩
     */
    @Column(name = "card_achievement_amount")
    private BigDecimal cardAchievementAmount;

    /**
     * 卡付销售提成
     */
    @Column(name = "card_commission_amount")
    private BigDecimal cardCommissionAmount;

    /**
     * 销售员1水牌号
     */
    @Column(name = "sale_one_number")
    private String saleOneNumber;

    /**
     * 销售员2水牌号
     */
    @Column(name = "sale_two_number")
    private String saleTwoNumber;

    /**
     * 销售员3水牌号
     */
    @Column(name = "sale_three_number")
    private String saleThreeNumber;

    /**
     * 销售员4水牌号
     */
    @Column(name = "sale_four_number")
    private String saleFourNumber;

    /**
     * 销售员1编码
     */
    @Column(name = "sale_one_staff_id")
    private Long saleOneStaffId;

    /**
     * 销售员2编码
     */
    @Column(name = "sale_two_staff_id")
    private Long saleTwoStaffId;

    /**
     * 销售员3编码
     */
    @Column(name = "sale_three_staff_id")
    private Long saleThreeStaffId;

    /**
     * 销售员4编码
     */
    @Column(name = "sale_four_staff_id")
    private Long saleFourStaffId;

    /**
     * 销售员1名称
     */
    @Column(name = "sale_one_staff_name")
    private String saleOneStaffName;

    /**
     * 销售员2名称
     */
    @Column(name = "sale_two_staff_name")
    private String saleTwoStaffName;

    /**
     * 销售员3名称
     */
    @Column(name = "sale_three_staff_name")
    private String saleThreeStaffName;

    /**
     * 销售员4名称
     */
    @Column(name = "sale_four_staff_name")
    private String saleFourStaffName;

    /**
     * 销售员1身份证号
     */
    @Column(name = "sale_one_identity")
    private String saleOneIdentity;

    /**
     * 销售员2身份证号
     */
    @Column(name = "sale_two_identity")
    private String saleTwoIdentity;

    /**
     * 销售员3身份证号
     */
    @Column(name = "sale_three_identity")
    private String saleThreeIdentity;

    /**
     * 销售员4身份证号
     */
    @Column(name = "sale_four_identity")
    private String saleFourIdentity;

    /**
     * 销售员1占比
     */
    @Column(name = "sale_one_ratio")
    private BigDecimal saleOneRatio;

    /**
     * 销售员2占比
     */
    @Column(name = "sale_two_ratio")
    private BigDecimal saleTwoRatio;

    /**
     * 销售员3占比
     */
    @Column(name = "sale_three_ratio")
    private BigDecimal saleThreeRatio;

    /**
     * 销售员4占比
     */
    @Column(name = "sale_four_ratio")
    private BigDecimal saleFourRatio;

    /**
     * 门店高管编码
     */
    @Column(name = "manage_staff_id")
    private Long manageStaffId;

    /**
     * 门店高管名称
     */
    @Column(name = "manage_staff_name")
    private String manageStaffName;

    /**
     * 门店高管身份证号
     */
    @Column(name = "manage_identity")
    private String manageIdentity;

    /**
     * 门店高管水牌号
     */
    @Column(name = "manage_number")
    private String manageNumber;

    /**
     * 是否欠款 1:欠款/0:未欠款
     */
    @Column(name = "is_debt")
    private Integer isDebt;

    /**
     * 作废时间
     */
    @Column(name = "cancel_date")
    private Date cancelDate;

    /**
     * 欠款金额
     */
    @Column(name = "debt_money")
    private BigDecimal debtMoney;

    /**
     * 是否作废 1:作废/0:未作废
     */
    @Column(name = "is_cancel")
    private Integer isCancel;

    /**
     * 销售员1业绩
     */
    @Column(name = "sale_one_achievement_amount")
    private BigDecimal saleOneAchievementAmount;

    /**
     * 销售员2业绩
     */
    @Column(name = "sale_two_achievement_amount")
    private BigDecimal saleTwoAchievementAmount;

    /**
     * 销售员3业绩
     */
    @Column(name = "sale_three_achievement_amount")
    private BigDecimal saleThreeAchievementAmount;

    /**
     * 销售员4业绩
     */
    @Column(name = "sale_four_achievement_amount")
    private BigDecimal saleFourAchievementAmount;

    /**
     * 销售员1提成
     */
    @Column(name = "sale_one_commission_amount")
    private BigDecimal saleOneCommissionAmount;

    /**
     * 销售员2提成
     */
    @Column(name = "sale_two_commission_amount")
    private BigDecimal saleTwoCommissionAmount;

    /**
     * 销售员3提成
     */
    @Column(name = "sale_three_commission_amount")
    private BigDecimal saleThreeCommissionAmount;

    /**
     * 销售员4提成
     */
    @Column(name = "sale_four_commission_amount")
    private BigDecimal saleFourCommissionAmount;


//新增字段

    /**
     * 销售员5水牌号
     */
    @Column(name = "sale_five_number")
    private String saleFiveNumber;


    /**
     * 销售员5编码
     */
    @Column(name = "sale_five_staff_id")
    private Long saleFiveStaffId;

    /**
     * 销售员5名称
     */
    @Column(name = "sale_five_staff_name")
    private String saleFiveStaffName;

    /**
     * 销售员5身份证号
     */
    @Column(name = "sale_five_identity")
    private String saleFiveIdentity;

    /**
     * 销售员5占比
     */
    @Column(name = "sale_five_ratio")
    private BigDecimal saleFiveRatio;

    /**
     * 销售员5业绩
     */
    @Column(name = "salefive_achievement_amount")
    private BigDecimal saleFiveAchievementAmount;

    /**
     * 销售员5提成
     */
    @Column(name = "sale_five_commission_amount")
    private BigDecimal saleFiveCommissionAmount;



    /**
     * 销售员6水牌号
     */
    @Column(name = "sale_six_number")
    private String saleSixNumber;


    /**
     * 销售员6编码
     */
    @Column(name = "sale_six_staff_id")
    private Long saleSixStaffId;

    /**
     * 销售员6名称
     */
    @Column(name = "sale_six_staff_name")
    private String saleSixStaffName;

    /**
     * 销售员6身份证号
     */
    @Column(name = "sale_six_identity")
    private String saleSixIdentity;

    /**
     * 销售员6占比
     */
    @Column(name = "sale_six_ratio")
    private BigDecimal saleSixRatio;

    /**
     * 销售员6业绩
     */
    @Column(name = "salesix_achievement_amount")
    private BigDecimal saleSixAchievementAmount;

    /**
     * 销售员6提成
     */
    @Column(name = "sale_six_commission_amount")
    private BigDecimal saleSixCommissionAmount;


    /**
     * 销售员7水牌号
     */
    @Column(name = "sale_seven_number")
    private String saleSevenNumber;


    /**
     * 销售员7编码
     */
    @Column(name = "sale_seven_staff_id")
    private Long saleSevenStaffId;

    /**
     * 销售员7名称
     */
    @Column(name = "sale_seven_staff_name")
    private String saleSevenStaffName;

    /**
     * 销售员7身份证号
     */
    @Column(name = "sale_seven_identity")
    private String saleSevenIdentity;

    /**
     * 销售员7占比
     */
    @Column(name = "sale_seven_ratio")
    private BigDecimal saleSevenRatio;

    /**
     * 销售员7业绩
     */
    @Column(name = "saleseven_achievement_amount")
    private BigDecimal saleSevenAchievementAmount;

    /**
     * 销售员7提成
     */
    @Column(name = "sale_seven_commission_amount")
    private BigDecimal saleSevenCommissionAmount;


    /**
     * 销售员8水牌号
     */
    @Column(name = "sale_eight_number")
    private String saleEightNumber;


    /**
     * 销售员8编码
     */
    @Column(name = "sale_eight_staff_id")
    private Long saleEightStaffId;

    /**
     * 销售员8名称
     */
    @Column(name = "sale_eight_staff_name")
    private String saleEightStaffName;

    /**
     * 销售员8身份证号
     */
    @Column(name = "sale_eight_identity")
    private String saleEightIdentity;

    /**
     * 销售员8占比
     */
    @Column(name = "sale_eight_ratio")
    private BigDecimal saleEightRatio;

    /**
     * 销售员8业绩
     */
    @Column(name = "saleeight_achievement_amount")
    private BigDecimal saleEightAchievementAmount;

    /**
     * 销售员8提成
     */
    @Column(name = "sale_eight_commission_amount")
    private BigDecimal saleEightCommissionAmount;

    //<get set>
    //<get>




    public String getSaleFiveNumber() {
        return saleFiveNumber;
    }

    public Long getSaleFiveStaffId() {
        return saleFiveStaffId;
    }

    public String getSaleFiveStaffName() {
        return saleFiveStaffName;
    }

    public String getSaleFiveIdentity() {
        return saleFiveIdentity;
    }

    public BigDecimal getSaleFiveRatio() {
        return saleFiveRatio;
    }

    public BigDecimal getSaleFiveAchievementAmount() {
        return saleFiveAchievementAmount;
    }

    public BigDecimal getSaleFiveCommissionAmount() {
        return saleFiveCommissionAmount;
    }

    public String getSaleSixNumber() {
        return saleSixNumber;
    }

    public Long getSaleSixStaffId() {
        return saleSixStaffId;
    }

    public String getSaleSixStaffName() {
        return saleSixStaffName;
    }

    public String getSaleSixIdentity() {
        return saleSixIdentity;
    }

    public BigDecimal getSaleSixRatio() {
        return saleSixRatio;
    }

    public BigDecimal getSaleSixAchievementAmount() {
        return saleSixAchievementAmount;
    }

    public BigDecimal getSaleSixCommissionAmount() {
        return saleSixCommissionAmount;
    }

    public String getSaleSevenNumber() {
        return saleSevenNumber;
    }

    public Long getSaleSevenStaffId() {
        return saleSevenStaffId;
    }

    public String getSaleSevenStaffName() {
        return saleSevenStaffName;
    }

    public String getSaleSevenIdentity() {
        return saleSevenIdentity;
    }

    public BigDecimal getSaleSevenRatio() {
        return saleSevenRatio;
    }

    public BigDecimal getSaleSevenAchievementAmount() {
        return saleSevenAchievementAmount;
    }

    public BigDecimal getSaleSevenCommissionAmount() {
        return saleSevenCommissionAmount;
    }

    public String getSaleEightNumber() {
        return saleEightNumber;
    }

    public Long getSaleEightStaffId() {
        return saleEightStaffId;
    }

    public String getSaleEightStaffName() {
        return saleEightStaffName;
    }

    public String getSaleEightIdentity() {
        return saleEightIdentity;
    }

    public BigDecimal getSaleEightRatio() {
        return saleEightRatio;
    }

    public BigDecimal getSaleEightAchievementAmount() {
        return saleEightAchievementAmount;
    }

    public BigDecimal getSaleEightCommissionAmount() {
        return saleEightCommissionAmount;
    }
    //</get>

    //<set>

    public void setSaleFiveNumber(String saleFiveNumber) {
        this.saleFiveNumber = saleFiveNumber;
    }

    public void setSaleFiveStaffId(Long saleFiveStaffId) {
        this.saleFiveStaffId = saleFiveStaffId;
    }

    public void setSaleFiveStaffName(String saleFiveStaffName) {
        this.saleFiveStaffName = saleFiveStaffName;
    }

    public void setSaleFiveIdentity(String saleFiveIdentity) {
        this.saleFiveIdentity = saleFiveIdentity;
    }

    public void setSaleFiveRatio(BigDecimal saleFiveRatio) {
        this.saleFiveRatio = saleFiveRatio;
    }

    public void setSaleFiveAchievementAmount(BigDecimal saleFiveAchievementAmount) {
        this.saleFiveAchievementAmount = saleFiveAchievementAmount;
    }

    public void setSaleFiveCommissionAmount(BigDecimal saleFiveCommissionAmount) {
        this.saleFiveCommissionAmount = saleFiveCommissionAmount;
    }

    public void setSaleSixNumber(String saleSixNumber) {
        this.saleSixNumber = saleSixNumber;
    }

    public void setSaleSixStaffId(Long saleSixStaffId) {
        this.saleSixStaffId = saleSixStaffId;
    }

    public void setSaleSixStaffName(String saleSixStaffName) {
        this.saleSixStaffName = saleSixStaffName;
    }

    public void setSaleSixIdentity(String saleSixIdentity) {
        this.saleSixIdentity = saleSixIdentity;
    }

    public void setSaleSixRatio(BigDecimal saleSixRatio) {
        this.saleSixRatio = saleSixRatio;
    }

    public void setSaleSixAchievementAmount(BigDecimal saleSixAchievementAmount) {
        this.saleSixAchievementAmount = saleSixAchievementAmount;
    }

    public void setSaleSixCommissionAmount(BigDecimal saleSixCommissionAmount) {
        this.saleSixCommissionAmount = saleSixCommissionAmount;
    }

    public void setSaleSevenNumber(String saleSevenNumber) {
        this.saleSevenNumber = saleSevenNumber;
    }

    public void setSaleSevenStaffId(Long saleSevenStaffId) {
        this.saleSevenStaffId = saleSevenStaffId;
    }

    public void setSaleSevenStaffName(String saleSevenStaffName) {
        this.saleSevenStaffName = saleSevenStaffName;
    }

    public void setSaleSevenIdentity(String saleSevenIdentity) {
        this.saleSevenIdentity = saleSevenIdentity;
    }

    public void setSaleSevenRatio(BigDecimal saleSevenRatio) {
        this.saleSevenRatio = saleSevenRatio;
    }

    public void setSaleSevenAchievementAmount(BigDecimal saleSevenAchievementAmount) {
        this.saleSevenAchievementAmount = saleSevenAchievementAmount;
    }

    public void setSaleSevenCommissionAmount(BigDecimal saleSevenCommissionAmount) {
        this.saleSevenCommissionAmount = saleSevenCommissionAmount;
    }

    public void setSaleEightNumber(String saleEightNumber) {
        this.saleEightNumber = saleEightNumber;
    }

    public void setSaleEightStaffId(Long saleEightStaffId) {
        this.saleEightStaffId = saleEightStaffId;
    }

    public void setSaleEightStaffName(String saleEightStaffName) {
        this.saleEightStaffName = saleEightStaffName;
    }

    public void setSaleEightIdentity(String saleEightIdentity) {
        this.saleEightIdentity = saleEightIdentity;
    }

    public void setSaleEightRatio(BigDecimal saleEightRatio) {
        this.saleEightRatio = saleEightRatio;
    }

    public void setSaleEightAchievementAmount(BigDecimal saleEightAchievementAmount) {
        this.saleEightAchievementAmount = saleEightAchievementAmount;
    }

    public void setSaleEightCommissionAmount(BigDecimal saleEightCommissionAmount) {
        this.saleEightCommissionAmount = saleEightCommissionAmount;
    }


    //</set>


//</get set>

//新增结束






    /**
     * 账户ID
     */
    @Column(name = "course_account_id")
    private Long courseAccountId;

    /**
     * 录单人ID
     */
    @Column(name = "input_id")
    private Long inputId;

    /**
     * 录单人名称
     */
    @Column(name = "input_by")
    private String inputBy;

    /**
     * 作废人ID
     */
    @Column(name = "cancel_id")
    private Long cancelId;

    /**
     * 作废人名称
     */
    @Column(name = "cancel_by")
    private String cancelBy;

    /**
     * 补单时间
     */
    @Column(name = "addition_date")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date additionDate;

    /**
     * 是否补单0:不是/1:是
     */
    @Column(name = "is_addition")
    private Integer isAddition;

    /**
     * 描述
     */
    private String description;

    private String projectNum;

    public String getProjectNum() {
        return projectNum;
    }

    public void setProjectNum(String projectNum) {
        this.projectNum = projectNum;
    }

    private static final long serialVersionUID = 1L;

    /**
     * 获取主键ID
     *
     * @return id - 主键ID
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置主键ID
     *
     * @param id 主键ID
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取疗程开卡单
     *
     * @return course_reatment_num - 疗程开卡单
     */
    public String getCourseReatmentNum() {
        return courseReatmentNum;
    }

    /**
     * 设置疗程开卡单
     *
     * @param courseReatmentNum 疗程开卡单
     */
    public void setCourseReatmentNum(String courseReatmentNum) {
        this.courseReatmentNum = courseReatmentNum;
    }

    /**
     * 获取疗程开卡日期
     *
     * @return date - 疗程开卡日期
     */
    public Date getDate() {
        return date;
    }

    /**
     * 设置疗程开卡日期
     *
     * @param date 疗程开卡日期
     */
    public void setDate(Date date) {
        this.date = date;
    }

    /**
     * 获取会员编码
     *
     * @return member_id - 会员编码
     */
    public Long getMemberId() {
        return memberId;
    }

    /**
     * 设置会员编码
     *
     * @param memberId 会员编码
     */
    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    /**
     * 获取会员名称
     *
     * @return member_name - 会员名称
     */
    public String getMemberName() {
        return memberName;
    }

    /**
     * 设置会员名称
     *
     * @param memberName 会员名称
     */
    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    /**
     * 获取会员手机号
     *
     * @return mobile_phone - 会员手机号
     */
    public String getMobilePhone() {
        return mobilePhone;
    }

    /**
     * 设置会员手机号
     *
     * @param mobilePhone 会员手机号
     */
    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    /**
     * 获取会员身份证号
     *
     * @return member_identity - 会员身份证号
     */
    public String getMemberIdentity() {
        return memberIdentity;
    }

    /**
     * 设置会员身份证号
     *
     * @param memberIdentity 会员身份证号
     */
    public void setMemberIdentity(String memberIdentity) {
        this.memberIdentity = memberIdentity;
    }

    /**
     * 获取会员卡
     *
     * @return card - 会员卡
     */
    public String getCard() {
        return card;
    }

    /**
     * 设置会员卡
     *
     * @param card 会员卡
     */
    public void setCard(String card) {
        this.card = card;
    }

    /**
     * 获取项目编码
     *
     * @return projct_id - 项目编码
     */
    public Long getProjctId() {
        return projctId;
    }

    /**
     * 设置项目编码
     *
     * @param projctId 项目编码
     */
    public void setProjctId(Long projctId) {
        this.projctId = projctId;
    }

    /**
     * 获取项目名称
     *
     * @return project_name - 项目名称
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 设置项目名称
     *
     * @param projectName 项目名称
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    /**
     * 获取门店编码
     *
     * @return store_id - 门店编码
     */
    public Long getStoreId() {
        return storeId;
    }

    /**
     * 设置门店编码
     *
     * @param storeId 门店编码
     */
    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取门店名称
     *
     * @return store_name - 门店名称
     */
    public String getStoreName() {
        return storeName;
    }

    /**
     * 设置门店名称
     *
     * @param storeName 门店名称
     */
    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    /**
     * 获取最少销售次数
     *
     * @return minumum_times - 最少销售次数
     */
    public Integer getMinumumTimes() {
        return minumumTimes;
    }

    /**
     * 设置最少销售次数
     *
     * @param minumumTimes 最少销售次数
     */
    public void setMinumumTimes(Integer minumumTimes) {
        this.minumumTimes = minumumTimes;
    }

    /**
     * 获取散客价
     *
     * @return price - 散客价
     */
    public BigDecimal getPrice() {
        return price;
    }

    /**
     * 设置散客价
     *
     * @param price 散客价
     */
    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    /**
     * 获取散客最低价
     *
     * @return minumum_price - 散客最低价
     */
    public BigDecimal getMinumumPrice() {
        return minumumPrice;
    }

    /**
     * 设置散客最低价
     *
     * @param minumumPrice 散客最低价
     */
    public void setMinumumPrice(BigDecimal minumumPrice) {
        this.minumumPrice = minumumPrice;
    }

    /**
     * 获取会员价
     *
     * @return price_member - 会员价
     */
    public BigDecimal getPriceMember() {
        return priceMember;
    }

    /**
     * 设置会员价
     *
     * @param priceMember 会员价
     */
    public void setPriceMember(BigDecimal priceMember) {
        this.priceMember = priceMember;
    }

    /**
     * 获取会员最低价
     *
     * @return minumum_price_member - 会员最低价
     */
    public BigDecimal getMinumumPriceMember() {
        return minumumPriceMember;
    }

    /**
     * 设置会员最低价
     *
     * @param minumumPriceMember 会员最低价
     */
    public void setMinumumPriceMember(BigDecimal minumumPriceMember) {
        this.minumumPriceMember = minumumPriceMember;
    }

    /**
     * 获取销售次单价
     *
     * @return sales_price - 销售次单价
     */
    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    /**
     * 设置销售次单价
     *
     * @param salesPrice 销售次单价
     */
    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    /**
     * 获取销售次数
     *
     * @return number_times - 销售次数
     */
    public Integer getNumberTimes() {
        return numberTimes;
    }

    /**
     * 设置销售次数
     *
     * @param numberTimes 销售次数
     */
    public void setNumberTimes(Integer numberTimes) {
        this.numberTimes = numberTimes;
    }

    /**
     * 获取销售金额
     *
     * @return amount - 销售金额
     */
    public BigDecimal getAmount() {
        return amount;
    }

    /**
     * 设置销售金额
     *
     * @param amount 销售金额
     */
    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    /**
     * 获取现付金额
     *
     * @return collection_cash_amount - 现付金额
     */
    public BigDecimal getCollectionCashAmount() {
        return collectionCashAmount;
    }

    /**
     * 设置现付金额
     *
     * @param collectionCashAmount 现付金额
     */
    public void setCollectionCashAmount(BigDecimal collectionCashAmount) {
        this.collectionCashAmount = collectionCashAmount;
    }

    /**
     * 获取积分付金额
     *
     * @return collection_integral_amount - 积分付金额
     */
    public BigDecimal getCollectionIntegralAmount() {
        return collectionIntegralAmount;
    }

    /**
     * 设置积分付金额
     *
     * @param collectionIntegralAmount 积分付金额
     */
    public void setCollectionIntegralAmount(BigDecimal collectionIntegralAmount) {
        this.collectionIntegralAmount = collectionIntegralAmount;
    }

    /**
     * 获取使用积分
     *
     * @return integral - 使用积分
     */
    public Integer getIntegral() {
        return integral;
    }

    /**
     * 设置使用积分
     *
     * @param integral 使用积分
     */
    public void setIntegral(Integer integral) {
        this.integral = integral;
    }

    /**
     * 获取充值卡付金额
     *
     * @return collection_recharge_amount - 充值卡付金额
     */
    public BigDecimal getCollectionRechargeAmount() {
        return collectionRechargeAmount;
    }

    /**
     * 设置充值卡付金额
     *
     * @param collectionRechargeAmount 充值卡付金额
     */
    public void setCollectionRechargeAmount(BigDecimal collectionRechargeAmount) {
        this.collectionRechargeAmount = collectionRechargeAmount;
    }

    /**
     * 获取实收总额
     *
     * @return course_reatment_amount - 实收总额
     */
    public BigDecimal getCourseReatmentAmount() {
        return courseReatmentAmount;
    }

    /**
     * 设置实收总额
     *
     * @param courseReatmentAmount 实收总额
     */
    public void setCourseReatmentAmount(BigDecimal courseReatmentAmount) {
        this.courseReatmentAmount = courseReatmentAmount;
    }

    /**
     * 获取现付销售业绩标准
     *
     * @return sales_achievement - 现付销售业绩标准
     */
    public BigDecimal getSalesAchievement() {
        return salesAchievement;
    }

    /**
     * 设置现付销售业绩标准
     *
     * @param salesAchievement 现付销售业绩标准
     */
    public void setSalesAchievement(BigDecimal salesAchievement) {
        this.salesAchievement = salesAchievement;
    }

    /**
     * 获取现付销售提成标准
     *
     * @return sales_commission - 现付销售提成标准
     */
    public BigDecimal getSalesCommission() {
        return salesCommission;
    }

    /**
     * 设置现付销售提成标准
     *
     * @param salesCommission 现付销售提成标准
     */
    public void setSalesCommission(BigDecimal salesCommission) {
        this.salesCommission = salesCommission;
    }

    /**
     * 获取卡付销售业绩标准
     *
     * @return card_sales_achievement - 卡付销售业绩标准
     */
    public BigDecimal getCardSalesAchievement() {
        return cardSalesAchievement;
    }

    /**
     * 设置卡付销售业绩标准
     *
     * @param cardSalesAchievement 卡付销售业绩标准
     */
    public void setCardSalesAchievement(BigDecimal cardSalesAchievement) {
        this.cardSalesAchievement = cardSalesAchievement;
    }

    /**
     * 获取卡付销售提成标准
     *
     * @return card_sales_commission - 卡付销售提成标准
     */
    public BigDecimal getCardSalesCommission() {
        return cardSalesCommission;
    }

    /**
     * 设置卡付销售提成标准
     *
     * @param cardSalesCommission 卡付销售提成标准
     */
    public void setCardSalesCommission(BigDecimal cardSalesCommission) {
        this.cardSalesCommission = cardSalesCommission;
    }

    /**
     * 获取现付销售业绩
     *
     * @return achievement_amount - 现付销售业绩
     */
    public BigDecimal getAchievementAmount() {
        return achievementAmount;
    }

    /**
     * 设置现付销售业绩
     *
     * @param achievementAmount 现付销售业绩
     */
    public void setAchievementAmount(BigDecimal achievementAmount) {
        this.achievementAmount = achievementAmount;
    }

    /**
     * 获取现付销售提成
     *
     * @return commission_amount - 现付销售提成
     */
    public BigDecimal getCommissionAmount() {
        return commissionAmount;
    }

    /**
     * 设置现付销售提成
     *
     * @param commissionAmount 现付销售提成
     */
    public void setCommissionAmount(BigDecimal commissionAmount) {
        this.commissionAmount = commissionAmount;
    }

    /**
     * 获取卡付销售业绩
     *
     * @return card_achievement_amount - 卡付销售业绩
     */
    public BigDecimal getCardAchievementAmount() {
        return cardAchievementAmount;
    }

    /**
     * 设置卡付销售业绩
     *
     * @param cardAchievementAmount 卡付销售业绩
     */
    public void setCardAchievementAmount(BigDecimal cardAchievementAmount) {
        this.cardAchievementAmount = cardAchievementAmount;
    }

    /**
     * 获取卡付销售提成
     *
     * @return card_commission_amount - 卡付销售提成
     */
    public BigDecimal getCardCommissionAmount() {
        return cardCommissionAmount;
    }

    /**
     * 设置卡付销售提成
     *
     * @param cardCommissionAmount 卡付销售提成
     */
    public void setCardCommissionAmount(BigDecimal cardCommissionAmount) {
        this.cardCommissionAmount = cardCommissionAmount;
    }

    /**
     * 获取销售员1水牌号
     *
     * @return sale_one_number - 销售员1水牌号
     */
    public String getSaleOneNumber() {
        return saleOneNumber;
    }

    /**
     * 设置销售员1水牌号
     *
     * @param saleOneNumber 销售员1水牌号
     */
    public void setSaleOneNumber(String saleOneNumber) {
        this.saleOneNumber = saleOneNumber;
    }

    /**
     * 获取销售员2水牌号
     *
     * @return sale_two_number - 销售员2水牌号
     */
    public String getSaleTwoNumber() {
        return saleTwoNumber;
    }

    /**
     * 设置销售员2水牌号
     *
     * @param saleTwoNumber 销售员2水牌号
     */
    public void setSaleTwoNumber(String saleTwoNumber) {
        this.saleTwoNumber = saleTwoNumber;
    }

    /**
     * 获取销售员3水牌号
     *
     * @return sale_three_number - 销售员3水牌号
     */
    public String getSaleThreeNumber() {
        return saleThreeNumber;
    }

    /**
     * 设置销售员3水牌号
     *
     * @param saleThreeNumber 销售员3水牌号
     */
    public void setSaleThreeNumber(String saleThreeNumber) {
        this.saleThreeNumber = saleThreeNumber;
    }

    /**
     * 获取销售员4水牌号
     *
     * @return sale_four_number - 销售员4水牌号
     */
    public String getSaleFourNumber() {
        return saleFourNumber;
    }

    /**
     * 设置销售员4水牌号
     *
     * @param saleFourNumber 销售员4水牌号
     */
    public void setSaleFourNumber(String saleFourNumber) {
        this.saleFourNumber = saleFourNumber;
    }

    /**
     * 获取销售员1编码
     *
     * @return sale_one_staff_id - 销售员1编码
     */
    public Long getSaleOneStaffId() {
        return saleOneStaffId;
    }

    /**
     * 设置销售员1编码
     *
     * @param saleOneStaffId 销售员1编码
     */
    public void setSaleOneStaffId(Long saleOneStaffId) {
        this.saleOneStaffId = saleOneStaffId;
    }

    /**
     * 获取销售员2编码
     *
     * @return sale_two_staff_id - 销售员2编码
     */
    public Long getSaleTwoStaffId() {
        return saleTwoStaffId;
    }

    /**
     * 设置销售员2编码
     *
     * @param saleTwoStaffId 销售员2编码
     */
    public void setSaleTwoStaffId(Long saleTwoStaffId) {
        this.saleTwoStaffId = saleTwoStaffId;
    }

    /**
     * 获取销售员3编码
     *
     * @return sale_three_staff_id - 销售员3编码
     */
    public Long getSaleThreeStaffId() {
        return saleThreeStaffId;
    }

    /**
     * 设置销售员3编码
     *
     * @param saleThreeStaffId 销售员3编码
     */
    public void setSaleThreeStaffId(Long saleThreeStaffId) {
        this.saleThreeStaffId = saleThreeStaffId;
    }

    /**
     * 获取销售员4编码
     *
     * @return sale_four_staff_id - 销售员4编码
     */
    public Long getSaleFourStaffId() {
        return saleFourStaffId;
    }

    /**
     * 设置销售员4编码
     *
     * @param saleFourStaffId 销售员4编码
     */
    public void setSaleFourStaffId(Long saleFourStaffId) {
        this.saleFourStaffId = saleFourStaffId;
    }

    /**
     * 获取销售员1名称
     *
     * @return sale_one_staff_name - 销售员1名称
     */
    public String getSaleOneStaffName() {
        return saleOneStaffName;
    }

    /**
     * 设置销售员1名称
     *
     * @param saleOneStaffName 销售员1名称
     */
    public void setSaleOneStaffName(String saleOneStaffName) {
        this.saleOneStaffName = saleOneStaffName;
    }

    /**
     * 获取销售员2名称
     *
     * @return sale_two_staff_name - 销售员2名称
     */
    public String getSaleTwoStaffName() {
        return saleTwoStaffName;
    }

    /**
     * 设置销售员2名称
     *
     * @param saleTwoStaffName 销售员2名称
     */
    public void setSaleTwoStaffName(String saleTwoStaffName) {
        this.saleTwoStaffName = saleTwoStaffName;
    }

    /**
     * 获取销售员3名称
     *
     * @return sale_three_staff_name - 销售员3名称
     */
    public String getSaleThreeStaffName() {
        return saleThreeStaffName;
    }

    /**
     * 设置销售员3名称
     *
     * @param saleThreeStaffName 销售员3名称
     */
    public void setSaleThreeStaffName(String saleThreeStaffName) {
        this.saleThreeStaffName = saleThreeStaffName;
    }

    /**
     * 获取销售员4名称
     *
     * @return sale_four_staff_name - 销售员4名称
     */
    public String getSaleFourStaffName() {
        return saleFourStaffName;
    }

    /**
     * 设置销售员4名称
     *
     * @param saleFourStaffName 销售员4名称
     */
    public void setSaleFourStaffName(String saleFourStaffName) {
        this.saleFourStaffName = saleFourStaffName;
    }

    /**
     * 获取销售员1身份证号
     *
     * @return sale_one_identity - 销售员1身份证号
     */
    public String getSaleOneIdentity() {
        return saleOneIdentity;
    }

    /**
     * 设置销售员1身份证号
     *
     * @param saleOneIdentity 销售员1身份证号
     */
    public void setSaleOneIdentity(String saleOneIdentity) {
        this.saleOneIdentity = saleOneIdentity;
    }

    /**
     * 获取销售员2身份证号
     *
     * @return sale_two_identity - 销售员2身份证号
     */
    public String getSaleTwoIdentity() {
        return saleTwoIdentity;
    }

    /**
     * 设置销售员2身份证号
     *
     * @param saleTwoIdentity 销售员2身份证号
     */
    public void setSaleTwoIdentity(String saleTwoIdentity) {
        this.saleTwoIdentity = saleTwoIdentity;
    }

    /**
     * 获取销售员3身份证号
     *
     * @return sale_three_identity - 销售员3身份证号
     */
    public String getSaleThreeIdentity() {
        return saleThreeIdentity;
    }

    /**
     * 设置销售员3身份证号
     *
     * @param saleThreeIdentity 销售员3身份证号
     */
    public void setSaleThreeIdentity(String saleThreeIdentity) {
        this.saleThreeIdentity = saleThreeIdentity;
    }

    /**
     * 获取销售员4身份证号
     *
     * @return sale_four_identity - 销售员4身份证号
     */
    public String getSaleFourIdentity() {
        return saleFourIdentity;
    }

    /**
     * 设置销售员4身份证号
     *
     * @param saleFourIdentity 销售员4身份证号
     */
    public void setSaleFourIdentity(String saleFourIdentity) {
        this.saleFourIdentity = saleFourIdentity;
    }

    /**
     * 获取销售员1占比
     *
     * @return sale_one_ratio - 销售员1占比
     */
    public BigDecimal getSaleOneRatio() {
        return saleOneRatio;
    }

    /**
     * 设置销售员1占比
     *
     * @param saleOneRatio 销售员1占比
     */
    public void setSaleOneRatio(BigDecimal saleOneRatio) {
        this.saleOneRatio = saleOneRatio;
    }

    /**
     * 获取销售员2占比
     *
     * @return sale_two_ratio - 销售员2占比
     */
    public BigDecimal getSaleTwoRatio() {
        return saleTwoRatio;
    }

    /**
     * 设置销售员2占比
     *
     * @param saleTwoRatio 销售员2占比
     */
    public void setSaleTwoRatio(BigDecimal saleTwoRatio) {
        this.saleTwoRatio = saleTwoRatio;
    }

    /**
     * 获取销售员3占比
     *
     * @return sale_three_ratio - 销售员3占比
     */
    public BigDecimal getSaleThreeRatio() {
        return saleThreeRatio;
    }

    /**
     * 设置销售员3占比
     *
     * @param saleThreeRatio 销售员3占比
     */
    public void setSaleThreeRatio(BigDecimal saleThreeRatio) {
        this.saleThreeRatio = saleThreeRatio;
    }

    /**
     * 获取销售员4占比
     *
     * @return sale_four_ratio - 销售员4占比
     */
    public BigDecimal getSaleFourRatio() {
        return saleFourRatio;
    }

    /**
     * 设置销售员4占比
     *
     * @param saleFourRatio 销售员4占比
     */
    public void setSaleFourRatio(BigDecimal saleFourRatio) {
        this.saleFourRatio = saleFourRatio;
    }

    /**
     * 获取门店高管编码
     *
     * @return manage_staff_id - 门店高管编码
     */
    public Long getManageStaffId() {
        return manageStaffId;
    }

    /**
     * 设置门店高管编码
     *
     * @param manageStaffId 门店高管编码
     */
    public void setManageStaffId(Long manageStaffId) {
        this.manageStaffId = manageStaffId;
    }

    /**
     * 获取门店高管名称
     *
     * @return manage_staff_name - 门店高管名称
     */
    public String getManageStaffName() {
        return manageStaffName;
    }

    /**
     * 设置门店高管名称
     *
     * @param manageStaffName 门店高管名称
     */
    public void setManageStaffName(String manageStaffName) {
        this.manageStaffName = manageStaffName;
    }

    /**
     * 获取门店高管身份证号
     *
     * @return manage_identity - 门店高管身份证号
     */
    public String getManageIdentity() {
        return manageIdentity;
    }

    /**
     * 设置门店高管身份证号
     *
     * @param manageIdentity 门店高管身份证号
     */
    public void setManageIdentity(String manageIdentity) {
        this.manageIdentity = manageIdentity;
    }

    /**
     * 获取门店高管水牌号
     *
     * @return manage_number - 门店高管水牌号
     */
    public String getManageNumber() {
        return manageNumber;
    }

    /**
     * 设置门店高管水牌号
     *
     * @param manageNumber 门店高管水牌号
     */
    public void setManageNumber(String manageNumber) {
        this.manageNumber = manageNumber;
    }

    /**
     * 获取是否欠款 1:欠款/0:未欠款
     *
     * @return is_debt - 是否欠款 1:欠款/0:未欠款
     */
    public Integer getIsDebt() {
        return isDebt;
    }

    /**
     * 设置是否欠款 1:欠款/0:未欠款
     *
     * @param isDebt 是否欠款 1:欠款/0:未欠款
     */
    public void setIsDebt(Integer isDebt) {
        this.isDebt = isDebt;
    }

    /**
     * 获取作废时间
     *
     * @return cancel_date - 作废时间
     */
    public Date getCancelDate() {
        return cancelDate;
    }

    /**
     * 设置作废时间
     *
     * @param cancelDate 作废时间
     */
    public void setCancelDate(Date cancelDate) {
        this.cancelDate = cancelDate;
    }

    /**
     * 获取欠款金额
     *
     * @return debt_money - 欠款金额
     */
    public BigDecimal getDebtMoney() {
        return debtMoney;
    }

    /**
     * 设置欠款金额
     *
     * @param debtMoney 欠款金额
     */
    public void setDebtMoney(BigDecimal debtMoney) {
        this.debtMoney = debtMoney;
    }

    /**
     * 获取是否作废 1:作废/0:未作废
     *
     * @return is_cancel - 是否作废 1:作废/0:未作废
     */
    public Integer getIsCancel() {
        return isCancel;
    }

    /**
     * 设置是否作废 1:作废/0:未作废
     *
     * @param isCancel 是否作废 1:作废/0:未作废
     */
    public void setIsCancel(Integer isCancel) {
        this.isCancel = isCancel;
    }

    /**
     * 获取销售员1业绩
     *
     * @return sale_one_achievement_amount - 销售员1业绩
     */
    public BigDecimal getSaleOneAchievementAmount() {
        return saleOneAchievementAmount;
    }

    /**
     * 设置销售员1业绩
     *
     * @param saleOneAchievementAmount 销售员1业绩
     */
    public void setSaleOneAchievementAmount(BigDecimal saleOneAchievementAmount) {
        this.saleOneAchievementAmount = saleOneAchievementAmount;
    }

    /**
     * 获取销售员2业绩
     *
     * @return sale_two_achievement_amount - 销售员2业绩
     */
    public BigDecimal getSaleTwoAchievementAmount() {
        return saleTwoAchievementAmount;
    }

    /**
     * 设置销售员2业绩
     *
     * @param saleTwoAchievementAmount 销售员2业绩
     */
    public void setSaleTwoAchievementAmount(BigDecimal saleTwoAchievementAmount) {
        this.saleTwoAchievementAmount = saleTwoAchievementAmount;
    }

    /**
     * 获取销售员3业绩
     *
     * @return sale_three_achievement_amount - 销售员3业绩
     */
    public BigDecimal getSaleThreeAchievementAmount() {
        return saleThreeAchievementAmount;
    }

    /**
     * 设置销售员3业绩
     *
     * @param saleThreeAchievementAmount 销售员3业绩
     */
    public void setSaleThreeAchievementAmount(BigDecimal saleThreeAchievementAmount) {
        this.saleThreeAchievementAmount = saleThreeAchievementAmount;
    }

    /**
     * 获取销售员4业绩
     *
     * @return sale_four_achievement_amount - 销售员4业绩
     */
    public BigDecimal getSaleFourAchievementAmount() {
        return saleFourAchievementAmount;
    }

    /**
     * 设置销售员4业绩
     *
     * @param saleFourAchievementAmount 销售员4业绩
     */
    public void setSaleFourAchievementAmount(BigDecimal saleFourAchievementAmount) {
        this.saleFourAchievementAmount = saleFourAchievementAmount;
    }

    /**
     * 获取销售员1提成
     *
     * @return sale_one_commission_amount - 销售员1提成
     */
    public BigDecimal getSaleOneCommissionAmount() {
        return saleOneCommissionAmount;
    }

    /**
     * 设置销售员1提成
     *
     * @param saleOneCommissionAmount 销售员1提成
     */
    public void setSaleOneCommissionAmount(BigDecimal saleOneCommissionAmount) {
        this.saleOneCommissionAmount = saleOneCommissionAmount;
    }

    /**
     * 获取销售员2提成
     *
     * @return sale_two_commission_amount - 销售员2提成
     */
    public BigDecimal getSaleTwoCommissionAmount() {
        return saleTwoCommissionAmount;
    }

    /**
     * 设置销售员2提成
     *
     * @param saleTwoCommissionAmount 销售员2提成
     */
    public void setSaleTwoCommissionAmount(BigDecimal saleTwoCommissionAmount) {
        this.saleTwoCommissionAmount = saleTwoCommissionAmount;
    }

    /**
     * 获取销售员3提成
     *
     * @return sale_three_commission_amount - 销售员3提成
     */
    public BigDecimal getSaleThreeCommissionAmount() {
        return saleThreeCommissionAmount;
    }

    /**
     * 设置销售员3提成
     *
     * @param saleThreeCommissionAmount 销售员3提成
     */
    public void setSaleThreeCommissionAmount(BigDecimal saleThreeCommissionAmount) {
        this.saleThreeCommissionAmount = saleThreeCommissionAmount;
    }

    /**
     * 获取销售员4提成
     *
     * @return sale_four_commission_amount - 销售员4提成
     */
    public BigDecimal getSaleFourCommissionAmount() {
        return saleFourCommissionAmount;
    }

    /**
     * 设置销售员4提成
     *
     * @param saleFourCommissionAmount 销售员4提成
     */
    public void setSaleFourCommissionAmount(BigDecimal saleFourCommissionAmount) {
        this.saleFourCommissionAmount = saleFourCommissionAmount;
    }

    /**
     * 获取账户ID
     *
     * @return course_account_id - 账户ID
     */
    public Long getCourseAccountId() {
        return courseAccountId;
    }

    /**
     * 设置账户ID
     *
     * @param courseAccountId 账户ID
     */
    public void setCourseAccountId(Long courseAccountId) {
        this.courseAccountId = courseAccountId;
    }

    /**
     * 获取录单人ID
     *
     * @return input_id - 录单人ID
     */
    public Long getInputId() {
        return inputId;
    }

    /**
     * 设置录单人ID
     *
     * @param inputId 录单人ID
     */
    public void setInputId(Long inputId) {
        this.inputId = inputId;
    }

    /**
     * 获取录单人名称
     *
     * @return input_by - 录单人名称
     */
    public String getInputBy() {
        return inputBy;
    }

    /**
     * 设置录单人名称
     *
     * @param inputBy 录单人名称
     */
    public void setInputBy(String inputBy) {
        this.inputBy = inputBy;
    }

    /**
     * 获取作废人ID
     *
     * @return cancel_id - 作废人ID
     */
    public Long getCancelId() {
        return cancelId;
    }

    /**
     * 设置作废人ID
     *
     * @param cancelId 作废人ID
     */
    public void setCancelId(Long cancelId) {
        this.cancelId = cancelId;
    }

    /**
     * 获取作废人名称
     *
     * @return cancel_by - 作废人名称
     */
    public String getCancelBy() {
        return cancelBy;
    }

    /**
     * 设置作废人名称
     *
     * @param cancelBy 作废人名称
     */
    public void setCancelBy(String cancelBy) {
        this.cancelBy = cancelBy;
    }

    /**
     * 获取补单时间
     *
     * @return addition_date - 补单时间
     */
    public Date getAdditionDate() {
        return additionDate;
    }

    /**
     * 设置补单时间
     *
     * @param additionDate 补单时间
     */
    public void setAdditionDate(Date additionDate) {
        this.additionDate = additionDate;
    }

    /**
     * 获取是否补单0:不是/1:是
     *
     * @return is_addition - 是否补单0:不是/1:是
     */
    public Integer getIsAddition() {
        return isAddition;
    }

    /**
     * 设置是否补单0:不是/1:是
     *
     * @param isAddition 是否补单0:不是/1:是
     */
    public void setIsAddition(Integer isAddition) {
        this.isAddition = isAddition;
    }

    /**
     * 获取描述
     *
     * @return description - 描述
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置描述
     *
     * @param description 描述
     */
    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CourseList other = (CourseList) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getCourseReatmentNum() == null ? other.getCourseReatmentNum() == null : this.getCourseReatmentNum().equals(other.getCourseReatmentNum()))
                && (this.getDate() == null ? other.getDate() == null : this.getDate().equals(other.getDate()))
                && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
                && (this.getMemberName() == null ? other.getMemberName() == null : this.getMemberName().equals(other.getMemberName()))
                && (this.getMobilePhone() == null ? other.getMobilePhone() == null : this.getMobilePhone().equals(other.getMobilePhone()))
                && (this.getMemberIdentity() == null ? other.getMemberIdentity() == null : this.getMemberIdentity().equals(other.getMemberIdentity()))
                && (this.getCard() == null ? other.getCard() == null : this.getCard().equals(other.getCard()))
                && (this.getProjctId() == null ? other.getProjctId() == null : this.getProjctId().equals(other.getProjctId()))
                && (this.getProjectName() == null ? other.getProjectName() == null : this.getProjectName().equals(other.getProjectName()))
                && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
                && (this.getStoreName() == null ? other.getStoreName() == null : this.getStoreName().equals(other.getStoreName()))
                && (this.getMinumumTimes() == null ? other.getMinumumTimes() == null : this.getMinumumTimes().equals(other.getMinumumTimes()))
                && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
                && (this.getMinumumPrice() == null ? other.getMinumumPrice() == null : this.getMinumumPrice().equals(other.getMinumumPrice()))
                && (this.getPriceMember() == null ? other.getPriceMember() == null : this.getPriceMember().equals(other.getPriceMember()))
                && (this.getMinumumPriceMember() == null ? other.getMinumumPriceMember() == null : this.getMinumumPriceMember().equals(other.getMinumumPriceMember()))
                && (this.getSalesPrice() == null ? other.getSalesPrice() == null : this.getSalesPrice().equals(other.getSalesPrice()))
                && (this.getNumberTimes() == null ? other.getNumberTimes() == null : this.getNumberTimes().equals(other.getNumberTimes()))
                && (this.getAmount() == null ? other.getAmount() == null : this.getAmount().equals(other.getAmount()))
                && (this.getCollectionCashAmount() == null ? other.getCollectionCashAmount() == null : this.getCollectionCashAmount().equals(other.getCollectionCashAmount()))
                && (this.getCollectionIntegralAmount() == null ? other.getCollectionIntegralAmount() == null : this.getCollectionIntegralAmount().equals(other.getCollectionIntegralAmount()))
                && (this.getIntegral() == null ? other.getIntegral() == null : this.getIntegral().equals(other.getIntegral()))
                && (this.getCollectionRechargeAmount() == null ? other.getCollectionRechargeAmount() == null : this.getCollectionRechargeAmount().equals(other.getCollectionRechargeAmount()))
                && (this.getCourseReatmentAmount() == null ? other.getCourseReatmentAmount() == null : this.getCourseReatmentAmount().equals(other.getCourseReatmentAmount()))
                && (this.getSalesAchievement() == null ? other.getSalesAchievement() == null : this.getSalesAchievement().equals(other.getSalesAchievement()))
                && (this.getSalesCommission() == null ? other.getSalesCommission() == null : this.getSalesCommission().equals(other.getSalesCommission()))
                && (this.getCardSalesAchievement() == null ? other.getCardSalesAchievement() == null : this.getCardSalesAchievement().equals(other.getCardSalesAchievement()))
                && (this.getCardSalesCommission() == null ? other.getCardSalesCommission() == null : this.getCardSalesCommission().equals(other.getCardSalesCommission()))
                && (this.getAchievementAmount() == null ? other.getAchievementAmount() == null : this.getAchievementAmount().equals(other.getAchievementAmount()))
                && (this.getCommissionAmount() == null ? other.getCommissionAmount() == null : this.getCommissionAmount().equals(other.getCommissionAmount()))
                && (this.getCardAchievementAmount() == null ? other.getCardAchievementAmount() == null : this.getCardAchievementAmount().equals(other.getCardAchievementAmount()))
                && (this.getCardCommissionAmount() == null ? other.getCardCommissionAmount() == null : this.getCardCommissionAmount().equals(other.getCardCommissionAmount()))
                && (this.getSaleOneNumber() == null ? other.getSaleOneNumber() == null : this.getSaleOneNumber().equals(other.getSaleOneNumber()))
                && (this.getSaleTwoNumber() == null ? other.getSaleTwoNumber() == null : this.getSaleTwoNumber().equals(other.getSaleTwoNumber()))
                && (this.getSaleThreeNumber() == null ? other.getSaleThreeNumber() == null : this.getSaleThreeNumber().equals(other.getSaleThreeNumber()))
                && (this.getSaleFourNumber() == null ? other.getSaleFourNumber() == null : this.getSaleFourNumber().equals(other.getSaleFourNumber()))
                && (this.getSaleOneStaffId() == null ? other.getSaleOneStaffId() == null : this.getSaleOneStaffId().equals(other.getSaleOneStaffId()))
                && (this.getSaleTwoStaffId() == null ? other.getSaleTwoStaffId() == null : this.getSaleTwoStaffId().equals(other.getSaleTwoStaffId()))
                && (this.getSaleThreeStaffId() == null ? other.getSaleThreeStaffId() == null : this.getSaleThreeStaffId().equals(other.getSaleThreeStaffId()))
                && (this.getSaleFourStaffId() == null ? other.getSaleFourStaffId() == null : this.getSaleFourStaffId().equals(other.getSaleFourStaffId()))
                && (this.getSaleOneStaffName() == null ? other.getSaleOneStaffName() == null : this.getSaleOneStaffName().equals(other.getSaleOneStaffName()))
                && (this.getSaleTwoStaffName() == null ? other.getSaleTwoStaffName() == null : this.getSaleTwoStaffName().equals(other.getSaleTwoStaffName()))
                && (this.getSaleThreeStaffName() == null ? other.getSaleThreeStaffName() == null : this.getSaleThreeStaffName().equals(other.getSaleThreeStaffName()))
                && (this.getSaleFourStaffName() == null ? other.getSaleFourStaffName() == null : this.getSaleFourStaffName().equals(other.getSaleFourStaffName()))
                && (this.getSaleOneIdentity() == null ? other.getSaleOneIdentity() == null : this.getSaleOneIdentity().equals(other.getSaleOneIdentity()))
                && (this.getSaleTwoIdentity() == null ? other.getSaleTwoIdentity() == null : this.getSaleTwoIdentity().equals(other.getSaleTwoIdentity()))
                && (this.getSaleThreeIdentity() == null ? other.getSaleThreeIdentity() == null : this.getSaleThreeIdentity().equals(other.getSaleThreeIdentity()))
                && (this.getSaleFourIdentity() == null ? other.getSaleFourIdentity() == null : this.getSaleFourIdentity().equals(other.getSaleFourIdentity()))
                && (this.getSaleOneRatio() == null ? other.getSaleOneRatio() == null : this.getSaleOneRatio().equals(other.getSaleOneRatio()))
                && (this.getSaleTwoRatio() == null ? other.getSaleTwoRatio() == null : this.getSaleTwoRatio().equals(other.getSaleTwoRatio()))
                && (this.getSaleThreeRatio() == null ? other.getSaleThreeRatio() == null : this.getSaleThreeRatio().equals(other.getSaleThreeRatio()))
                && (this.getSaleFourRatio() == null ? other.getSaleFourRatio() == null : this.getSaleFourRatio().equals(other.getSaleFourRatio()))
                && (this.getManageStaffId() == null ? other.getManageStaffId() == null : this.getManageStaffId().equals(other.getManageStaffId()))
                && (this.getManageStaffName() == null ? other.getManageStaffName() == null : this.getManageStaffName().equals(other.getManageStaffName()))
                && (this.getManageIdentity() == null ? other.getManageIdentity() == null : this.getManageIdentity().equals(other.getManageIdentity()))
                && (this.getManageNumber() == null ? other.getManageNumber() == null : this.getManageNumber().equals(other.getManageNumber()))
                && (this.getIsDebt() == null ? other.getIsDebt() == null : this.getIsDebt().equals(other.getIsDebt()))
                && (this.getCancelDate() == null ? other.getCancelDate() == null : this.getCancelDate().equals(other.getCancelDate()))
                && (this.getDebtMoney() == null ? other.getDebtMoney() == null : this.getDebtMoney().equals(other.getDebtMoney()))
                && (this.getIsCancel() == null ? other.getIsCancel() == null : this.getIsCancel().equals(other.getIsCancel()))
                && (this.getSaleOneAchievementAmount() == null ? other.getSaleOneAchievementAmount() == null : this.getSaleOneAchievementAmount().equals(other.getSaleOneAchievementAmount()))
                && (this.getSaleTwoAchievementAmount() == null ? other.getSaleTwoAchievementAmount() == null : this.getSaleTwoAchievementAmount().equals(other.getSaleTwoAchievementAmount()))
                && (this.getSaleThreeAchievementAmount() == null ? other.getSaleThreeAchievementAmount() == null : this.getSaleThreeAchievementAmount().equals(other.getSaleThreeAchievementAmount()))
                && (this.getSaleFourAchievementAmount() == null ? other.getSaleFourAchievementAmount() == null : this.getSaleFourAchievementAmount().equals(other.getSaleFourAchievementAmount()))
                && (this.getSaleOneCommissionAmount() == null ? other.getSaleOneCommissionAmount() == null : this.getSaleOneCommissionAmount().equals(other.getSaleOneCommissionAmount()))
                && (this.getSaleTwoCommissionAmount() == null ? other.getSaleTwoCommissionAmount() == null : this.getSaleTwoCommissionAmount().equals(other.getSaleTwoCommissionAmount()))
                && (this.getSaleThreeCommissionAmount() == null ? other.getSaleThreeCommissionAmount() == null : this.getSaleThreeCommissionAmount().equals(other.getSaleThreeCommissionAmount()))
                && (this.getSaleFourCommissionAmount() == null ? other.getSaleFourCommissionAmount() == null : this.getSaleFourCommissionAmount().equals(other.getSaleFourCommissionAmount()))


                && (this.getSaleFiveNumber() == null ? other.getSaleFiveNumber() == null : this.getSaleFiveNumber().equals(other.getSaleFiveNumber()))
                && (this.getSaleFiveStaffId() == null ? other.getSaleFiveStaffId() == null : this.getSaleFiveStaffId().equals(other.getSaleFiveStaffId()))
                && (this.getSaleFiveStaffName() == null ? other.getSaleFiveStaffName() == null : this.getSaleFiveStaffName().equals(other.getSaleFiveStaffName()))
                && (this.getSaleFiveIdentity() == null ? other.getSaleFiveIdentity() == null : this.getSaleFiveIdentity().equals(other.getSaleFiveIdentity()))
                && (this.getSaleFiveRatio() == null ? other.getSaleFiveRatio() == null : this.getSaleFiveRatio().equals(other.getSaleFiveRatio()))
                && (this.getSaleFiveAchievementAmount() == null ? other.getSaleFiveAchievementAmount() == null : this.getSaleFiveAchievementAmount().equals(other.getSaleFiveAchievementAmount()))
                && (this.getSaleFiveCommissionAmount() == null ? other.getSaleFiveCommissionAmount() == null : this.getSaleFiveCommissionAmount().equals(other.getSaleFiveCommissionAmount()))

                && (this.getSaleSixNumber() == null ? other.getSaleSixNumber() == null : this.getSaleSixNumber().equals(other.getSaleSixNumber()))
                && (this.getSaleSixStaffId() == null ? other.getSaleSixStaffId() == null : this.getSaleSixStaffId().equals(other.getSaleSixStaffId()))
                && (this.getSaleSixStaffName() == null ? other.getSaleSixStaffName() == null : this.getSaleSixStaffName().equals(other.getSaleSixStaffName()))
                && (this.getSaleSixIdentity() == null ? other.getSaleSixIdentity() == null : this.getSaleSixIdentity().equals(other.getSaleSixIdentity()))
                && (this.getSaleSixRatio() == null ? other.getSaleSixRatio() == null : this.getSaleSixRatio().equals(other.getSaleSixRatio()))
                && (this.getSaleSixAchievementAmount() == null ? other.getSaleSixAchievementAmount() == null : this.getSaleSixAchievementAmount().equals(other.getSaleSixAchievementAmount()))
                && (this.getSaleSixCommissionAmount() == null ? other.getSaleSixCommissionAmount() == null : this.getSaleSixCommissionAmount().equals(other.getSaleSixCommissionAmount()))

                && (this.getSaleSevenNumber() == null ? other.getSaleSevenNumber() == null : this.getSaleSevenNumber().equals(other.getSaleSevenNumber()))
                && (this.getSaleSevenStaffId() == null ? other.getSaleSevenStaffId() == null : this.getSaleSevenStaffId().equals(other.getSaleSevenStaffId()))
                && (this.getSaleSevenStaffName() == null ? other.getSaleSevenStaffName() == null : this.getSaleSevenStaffName().equals(other.getSaleSevenStaffName()))
                && (this.getSaleSevenIdentity() == null ? other.getSaleSevenIdentity() == null : this.getSaleSevenIdentity().equals(other.getSaleSevenIdentity()))
                && (this.getSaleSevenRatio() == null ? other.getSaleSevenRatio() == null : this.getSaleSevenRatio().equals(other.getSaleSevenRatio()))
                && (this.getSaleSevenAchievementAmount() == null ? other.getSaleSevenAchievementAmount() == null : this.getSaleSevenAchievementAmount().equals(other.getSaleSevenAchievementAmount()))
                && (this.getSaleSevenCommissionAmount() == null ? other.getSaleSevenCommissionAmount() == null : this.getSaleSevenCommissionAmount().equals(other.getSaleSevenCommissionAmount()))

                && (this.getSaleEightNumber() == null ? other.getSaleEightNumber() == null : this.getSaleEightNumber().equals(other.getSaleEightNumber()))
                && (this.getSaleEightStaffId() == null ? other.getSaleEightStaffId() == null : this.getSaleEightStaffId().equals(other.getSaleEightStaffId()))
                && (this.getSaleEightStaffName() == null ? other.getSaleEightStaffName() == null : this.getSaleEightStaffName().equals(other.getSaleEightStaffName()))
                && (this.getSaleEightIdentity() == null ? other.getSaleEightIdentity() == null : this.getSaleEightIdentity().equals(other.getSaleEightIdentity()))
                && (this.getSaleEightRatio() == null ? other.getSaleEightRatio() == null : this.getSaleEightRatio().equals(other.getSaleEightRatio()))
                && (this.getSaleEightAchievementAmount() == null ? other.getSaleEightAchievementAmount() == null : this.getSaleEightAchievementAmount().equals(other.getSaleEightAchievementAmount()))
                && (this.getSaleEightCommissionAmount() == null ? other.getSaleEightCommissionAmount() == null : this.getSaleEightCommissionAmount().equals(other.getSaleEightCommissionAmount()))



                && (this.getCourseAccountId() == null ? other.getCourseAccountId() == null : this.getCourseAccountId().equals(other.getCourseAccountId()))
                && (this.getInputId() == null ? other.getInputId() == null : this.getInputId().equals(other.getInputId()))
                && (this.getInputBy() == null ? other.getInputBy() == null : this.getInputBy().equals(other.getInputBy()))
                && (this.getCancelId() == null ? other.getCancelId() == null : this.getCancelId().equals(other.getCancelId()))
                && (this.getCancelBy() == null ? other.getCancelBy() == null : this.getCancelBy().equals(other.getCancelBy()))
                && (this.getAdditionDate() == null ? other.getAdditionDate() == null : this.getAdditionDate().equals(other.getAdditionDate()))
                && (this.getIsAddition() == null ? other.getIsAddition() == null : this.getIsAddition().equals(other.getIsAddition()))
                && (this.getDescription() == null ? other.getDescription() == null : this.getDescription().equals(other.getDescription()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCourseReatmentNum() == null) ? 0 : getCourseReatmentNum().hashCode());
        result = prime * result + ((getDate() == null) ? 0 : getDate().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getMemberName() == null) ? 0 : getMemberName().hashCode());
        result = prime * result + ((getMobilePhone() == null) ? 0 : getMobilePhone().hashCode());
        result = prime * result + ((getMemberIdentity() == null) ? 0 : getMemberIdentity().hashCode());
        result = prime * result + ((getCard() == null) ? 0 : getCard().hashCode());
        result = prime * result + ((getProjctId() == null) ? 0 : getProjctId().hashCode());
        result = prime * result + ((getProjectName() == null) ? 0 : getProjectName().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getStoreName() == null) ? 0 : getStoreName().hashCode());
        result = prime * result + ((getMinumumTimes() == null) ? 0 : getMinumumTimes().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getMinumumPrice() == null) ? 0 : getMinumumPrice().hashCode());
        result = prime * result + ((getPriceMember() == null) ? 0 : getPriceMember().hashCode());
        result = prime * result + ((getMinumumPriceMember() == null) ? 0 : getMinumumPriceMember().hashCode());
        result = prime * result + ((getSalesPrice() == null) ? 0 : getSalesPrice().hashCode());
        result = prime * result + ((getNumberTimes() == null) ? 0 : getNumberTimes().hashCode());
        result = prime * result + ((getAmount() == null) ? 0 : getAmount().hashCode());
        result = prime * result + ((getCollectionCashAmount() == null) ? 0 : getCollectionCashAmount().hashCode());
        result = prime * result + ((getCollectionIntegralAmount() == null) ? 0 : getCollectionIntegralAmount().hashCode());
        result = prime * result + ((getIntegral() == null) ? 0 : getIntegral().hashCode());
        result = prime * result + ((getCollectionRechargeAmount() == null) ? 0 : getCollectionRechargeAmount().hashCode());
        result = prime * result + ((getCourseReatmentAmount() == null) ? 0 : getCourseReatmentAmount().hashCode());
        result = prime * result + ((getSalesAchievement() == null) ? 0 : getSalesAchievement().hashCode());
        result = prime * result + ((getSalesCommission() == null) ? 0 : getSalesCommission().hashCode());
        result = prime * result + ((getCardSalesAchievement() == null) ? 0 : getCardSalesAchievement().hashCode());
        result = prime * result + ((getCardSalesCommission() == null) ? 0 : getCardSalesCommission().hashCode());
        result = prime * result + ((getAchievementAmount() == null) ? 0 : getAchievementAmount().hashCode());
        result = prime * result + ((getCommissionAmount() == null) ? 0 : getCommissionAmount().hashCode());
        result = prime * result + ((getCardAchievementAmount() == null) ? 0 : getCardAchievementAmount().hashCode());
        result = prime * result + ((getCardCommissionAmount() == null) ? 0 : getCardCommissionAmount().hashCode());
        result = prime * result + ((getSaleOneNumber() == null) ? 0 : getSaleOneNumber().hashCode());
        result = prime * result + ((getSaleTwoNumber() == null) ? 0 : getSaleTwoNumber().hashCode());
        result = prime * result + ((getSaleThreeNumber() == null) ? 0 : getSaleThreeNumber().hashCode());
        result = prime * result + ((getSaleFourNumber() == null) ? 0 : getSaleFourNumber().hashCode());
        result = prime * result + ((getSaleOneStaffId() == null) ? 0 : getSaleOneStaffId().hashCode());
        result = prime * result + ((getSaleTwoStaffId() == null) ? 0 : getSaleTwoStaffId().hashCode());
        result = prime * result + ((getSaleThreeStaffId() == null) ? 0 : getSaleThreeStaffId().hashCode());
        result = prime * result + ((getSaleFourStaffId() == null) ? 0 : getSaleFourStaffId().hashCode());
        result = prime * result + ((getSaleOneStaffName() == null) ? 0 : getSaleOneStaffName().hashCode());
        result = prime * result + ((getSaleTwoStaffName() == null) ? 0 : getSaleTwoStaffName().hashCode());
        result = prime * result + ((getSaleThreeStaffName() == null) ? 0 : getSaleThreeStaffName().hashCode());
        result = prime * result + ((getSaleFourStaffName() == null) ? 0 : getSaleFourStaffName().hashCode());
        result = prime * result + ((getSaleOneIdentity() == null) ? 0 : getSaleOneIdentity().hashCode());
        result = prime * result + ((getSaleTwoIdentity() == null) ? 0 : getSaleTwoIdentity().hashCode());
        result = prime * result + ((getSaleThreeIdentity() == null) ? 0 : getSaleThreeIdentity().hashCode());
        result = prime * result + ((getSaleFourIdentity() == null) ? 0 : getSaleFourIdentity().hashCode());
        result = prime * result + ((getSaleOneRatio() == null) ? 0 : getSaleOneRatio().hashCode());
        result = prime * result + ((getSaleTwoRatio() == null) ? 0 : getSaleTwoRatio().hashCode());
        result = prime * result + ((getSaleThreeRatio() == null) ? 0 : getSaleThreeRatio().hashCode());
        result = prime * result + ((getSaleFourRatio() == null) ? 0 : getSaleFourRatio().hashCode());
        result = prime * result + ((getManageStaffId() == null) ? 0 : getManageStaffId().hashCode());
        result = prime * result + ((getManageStaffName() == null) ? 0 : getManageStaffName().hashCode());
        result = prime * result + ((getManageIdentity() == null) ? 0 : getManageIdentity().hashCode());
        result = prime * result + ((getManageNumber() == null) ? 0 : getManageNumber().hashCode());
        result = prime * result + ((getIsDebt() == null) ? 0 : getIsDebt().hashCode());
        result = prime * result + ((getCancelDate() == null) ? 0 : getCancelDate().hashCode());
        result = prime * result + ((getDebtMoney() == null) ? 0 : getDebtMoney().hashCode());
        result = prime * result + ((getIsCancel() == null) ? 0 : getIsCancel().hashCode());
        result = prime * result + ((getSaleOneAchievementAmount() == null) ? 0 : getSaleOneAchievementAmount().hashCode());
        result = prime * result + ((getSaleTwoAchievementAmount() == null) ? 0 : getSaleTwoAchievementAmount().hashCode());
        result = prime * result + ((getSaleThreeAchievementAmount() == null) ? 0 : getSaleThreeAchievementAmount().hashCode());
        result = prime * result + ((getSaleFourAchievementAmount() == null) ? 0 : getSaleFourAchievementAmount().hashCode());
        result = prime * result + ((getSaleOneCommissionAmount() == null) ? 0 : getSaleOneCommissionAmount().hashCode());
        result = prime * result + ((getSaleTwoCommissionAmount() == null) ? 0 : getSaleTwoCommissionAmount().hashCode());
        result = prime * result + ((getSaleThreeCommissionAmount() == null) ? 0 : getSaleThreeCommissionAmount().hashCode());
        result = prime * result + ((getSaleFourCommissionAmount() == null) ? 0 : getSaleFourCommissionAmount().hashCode());


        result = prime * result + ((getSaleFiveNumber() == null) ? 0 : getSaleFiveNumber().hashCode());
        result = prime * result + ((getSaleFiveStaffId() == null) ? 0 : getSaleFiveStaffId().hashCode());
        result = prime * result + ((getSaleFiveStaffName() == null) ? 0 : getSaleFiveStaffName().hashCode());
        result = prime * result + ((getSaleFiveIdentity() == null) ? 0 : getSaleFiveIdentity().hashCode());
        result = prime * result + ((getSaleFiveRatio() == null) ? 0 : getSaleFiveRatio().hashCode());
        result = prime * result + ((getSaleFiveAchievementAmount() == null) ? 0 : getSaleFiveAchievementAmount().hashCode());
        result = prime * result + ((getSaleFiveCommissionAmount() == null) ? 0 : getSaleFiveCommissionAmount().hashCode());

        result = prime * result + ((getSaleSixNumber() == null) ? 0 : getSaleSixNumber().hashCode());
        result = prime * result + ((getSaleSixStaffId() == null) ? 0 : getSaleSixStaffId().hashCode());
        result = prime * result + ((getSaleSixStaffName() == null) ? 0 : getSaleSixStaffName().hashCode());
        result = prime * result + ((getSaleSixIdentity() == null) ? 0 : getSaleSixIdentity().hashCode());
        result = prime * result + ((getSaleSixRatio() == null) ? 0 : getSaleSixRatio().hashCode());
        result = prime * result + ((getSaleSixAchievementAmount() == null) ? 0 : getSaleSixAchievementAmount().hashCode());
        result = prime * result + ((getSaleSixCommissionAmount() == null) ? 0 : getSaleSixCommissionAmount().hashCode());

        result = prime * result + ((getSaleSevenNumber() == null) ? 0 : getSaleSevenNumber().hashCode());
        result = prime * result + ((getSaleSevenStaffId() == null) ? 0 : getSaleSevenStaffId().hashCode());
        result = prime * result + ((getSaleSevenStaffName() == null) ? 0 : getSaleSevenStaffName().hashCode());
        result = prime * result + ((getSaleSevenIdentity() == null) ? 0 : getSaleSevenIdentity().hashCode());
        result = prime * result + ((getSaleSevenRatio() == null) ? 0 : getSaleSevenRatio().hashCode());
        result = prime * result + ((getSaleSevenAchievementAmount() == null) ? 0 : getSaleSevenAchievementAmount().hashCode());
        result = prime * result + ((getSaleSevenCommissionAmount() == null) ? 0 : getSaleSevenCommissionAmount().hashCode());

        result = prime * result + ((getSaleEightNumber() == null) ? 0 : getSaleEightNumber().hashCode());
        result = prime * result + ((getSaleEightStaffId() == null) ? 0 : getSaleEightStaffId().hashCode());
        result = prime * result + ((getSaleEightStaffName() == null) ? 0 : getSaleEightStaffName().hashCode());
        result = prime * result + ((getSaleEightIdentity() == null) ? 0 : getSaleEightIdentity().hashCode());
        result = prime * result + ((getSaleEightRatio() == null) ? 0 : getSaleEightRatio().hashCode());
        result = prime * result + ((getSaleEightAchievementAmount() == null) ? 0 : getSaleEightAchievementAmount().hashCode());
        result = prime * result + ((getSaleEightCommissionAmount() == null) ? 0 : getSaleEightCommissionAmount().hashCode());





        result = prime * result + ((getCourseAccountId() == null) ? 0 : getCourseAccountId().hashCode());
        result = prime * result + ((getInputId() == null) ? 0 : getInputId().hashCode());
        result = prime * result + ((getInputBy() == null) ? 0 : getInputBy().hashCode());
        result = prime * result + ((getCancelId() == null) ? 0 : getCancelId().hashCode());
        result = prime * result + ((getCancelBy() == null) ? 0 : getCancelBy().hashCode());
        result = prime * result + ((getAdditionDate() == null) ? 0 : getAdditionDate().hashCode());
        result = prime * result + ((getIsAddition() == null) ? 0 : getIsAddition().hashCode());
        result = prime * result + ((getDescription() == null) ? 0 : getDescription().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", courseReatmentNum=").append(courseReatmentNum);
        sb.append(", date=").append(date);
        sb.append(", memberId=").append(memberId);
        sb.append(", memberName=").append(memberName);
        sb.append(", mobilePhone=").append(mobilePhone);
        sb.append(", memberIdentity=").append(memberIdentity);
        sb.append(", card=").append(card);
        sb.append(", projctId=").append(projctId);
        sb.append(", projectName=").append(projectName);
        sb.append(", storeId=").append(storeId);
        sb.append(", storeName=").append(storeName);
        sb.append(", minumumTimes=").append(minumumTimes);
        sb.append(", price=").append(price);
        sb.append(", minumumPrice=").append(minumumPrice);
        sb.append(", priceMember=").append(priceMember);
        sb.append(", minumumPriceMember=").append(minumumPriceMember);
        sb.append(", salesPrice=").append(salesPrice);
        sb.append(", numberTimes=").append(numberTimes);
        sb.append(", amount=").append(amount);
        sb.append(", collectionCashAmount=").append(collectionCashAmount);
        sb.append(", collectionIntegralAmount=").append(collectionIntegralAmount);
        sb.append(", integral=").append(integral);
        sb.append(", collectionRechargeAmount=").append(collectionRechargeAmount);
        sb.append(", courseReatmentAmount=").append(courseReatmentAmount);
        sb.append(", salesAchievement=").append(salesAchievement);
        sb.append(", salesCommission=").append(salesCommission);
        sb.append(", cardSalesAchievement=").append(cardSalesAchievement);
        sb.append(", cardSalesCommission=").append(cardSalesCommission);
        sb.append(", achievementAmount=").append(achievementAmount);
        sb.append(", commissionAmount=").append(commissionAmount);
        sb.append(", cardAchievementAmount=").append(cardAchievementAmount);
        sb.append(", cardCommissionAmount=").append(cardCommissionAmount);
        sb.append(", saleOneNumber=").append(saleOneNumber);
        sb.append(", saleTwoNumber=").append(saleTwoNumber);
        sb.append(", saleThreeNumber=").append(saleThreeNumber);
        sb.append(", saleFourNumber=").append(saleFourNumber);
        sb.append(", saleOneStaffId=").append(saleOneStaffId);
        sb.append(", saleTwoStaffId=").append(saleTwoStaffId);
        sb.append(", saleThreeStaffId=").append(saleThreeStaffId);
        sb.append(", saleFourStaffId=").append(saleFourStaffId);
        sb.append(", saleOneStaffName=").append(saleOneStaffName);
        sb.append(", saleTwoStaffName=").append(saleTwoStaffName);
        sb.append(", saleThreeStaffName=").append(saleThreeStaffName);
        sb.append(", saleFourStaffName=").append(saleFourStaffName);
        sb.append(", saleOneIdentity=").append(saleOneIdentity);
        sb.append(", saleTwoIdentity=").append(saleTwoIdentity);
        sb.append(", saleThreeIdentity=").append(saleThreeIdentity);
        sb.append(", saleFourIdentity=").append(saleFourIdentity);
        sb.append(", saleOneRatio=").append(saleOneRatio);
        sb.append(", saleTwoRatio=").append(saleTwoRatio);
        sb.append(", saleThreeRatio=").append(saleThreeRatio);
        sb.append(", saleFourRatio=").append(saleFourRatio);
        sb.append(", manageStaffId=").append(manageStaffId);
        sb.append(", manageStaffName=").append(manageStaffName);
        sb.append(", manageIdentity=").append(manageIdentity);
        sb.append(", manageNumber=").append(manageNumber);
        sb.append(", isDebt=").append(isDebt);
        sb.append(", cancelDate=").append(cancelDate);
        sb.append(", debtMoney=").append(debtMoney);
        sb.append(", isCancel=").append(isCancel);
        sb.append(", saleOneAchievementAmount=").append(saleOneAchievementAmount);
        sb.append(", saleTwoAchievementAmount=").append(saleTwoAchievementAmount);
        sb.append(", saleThreeAchievementAmount=").append(saleThreeAchievementAmount);
        sb.append(", saleFourAchievementAmount=").append(saleFourAchievementAmount);
        sb.append(", saleOneCommissionAmount=").append(saleOneCommissionAmount);
        sb.append(", saleTwoCommissionAmount=").append(saleTwoCommissionAmount);
        sb.append(", saleThreeCommissionAmount=").append(saleThreeCommissionAmount);
        sb.append(", saleFourCommissionAmount=").append(saleFourCommissionAmount);


        sb.append(", saleFiveNumber=").append(saleFiveNumber);
        sb.append(", saleFiveStaffId=").append(saleFiveStaffId);
        sb.append(", saleFiveStaffName=").append(saleFiveStaffName);
        sb.append(", saleFiveIdentity=").append(saleFiveIdentity);
        sb.append(", saleFiveRatio=").append(saleFiveRatio);
        sb.append(", saleFiveAchievementAmount=").append(saleFiveAchievementAmount);
        sb.append(", saleFiveCommissionAmount=").append(saleFiveCommissionAmount);

        sb.append(", saleSixNumber=").append(saleSixNumber);
        sb.append(", saleSixStaffId=").append(saleSixStaffId);
        sb.append(", saleSixStaffName=").append(saleSixStaffName);
        sb.append(", saleSixIdentity=").append(saleSixIdentity);
        sb.append(", saleSixRatio=").append(saleSixRatio);
        sb.append(", saleSixAchievementAmount=").append(saleSixAchievementAmount);
        sb.append(", saleSixCommissionAmount=").append(saleSixCommissionAmount);

        sb.append(", saleSevenNumber=").append(saleSevenNumber);
        sb.append(", saleSevenStaffId=").append(saleSevenStaffId);
        sb.append(", saleSevenStaffName=").append(saleSevenStaffName);
        sb.append(", saleSevenIdentity=").append(saleSevenIdentity);
        sb.append(", saleSevenRatio=").append(saleSevenRatio);
        sb.append(", saleSevenAchievementAmount=").append(saleSevenAchievementAmount);
        sb.append(", saleSevenCommissionAmount=").append(saleSevenCommissionAmount);

        sb.append(", saleEightNumber=").append(saleEightNumber);
        sb.append(", saleEightStaffId=").append(saleEightStaffId);
        sb.append(", saleEightStaffName=").append(saleEightStaffName);
        sb.append(", saleEightIdentity=").append(saleEightIdentity);
        sb.append(", saleEightRatio=").append(saleEightRatio);
        sb.append(", saleEightAchievementAmount=").append(saleEightAchievementAmount);
        sb.append(", saleEightCommissionAmount=").append(saleEightCommissionAmount);




        sb.append(", courseAccountId=").append(courseAccountId);
        sb.append(", inputId=").append(inputId);
        sb.append(", inputBy=").append(inputBy);
        sb.append(", cancelId=").append(cancelId);
        sb.append(", cancelBy=").append(cancelBy);
        sb.append(", additionDate=").append(additionDate);
        sb.append(", isAddition=").append(isAddition);
        sb.append(", description=").append(description);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

    @JsonIgnore
    public String getTab(){
        return DateUtils.YMFormat(date);
    }

    public Integer getIsCooperation() {
        return isCooperation;
    }

    public void setIsCooperation(Integer isCooperation) {
        this.isCooperation = isCooperation;
    }

    public BigDecimal getBrokerage() {
        return brokerage;
    }

    public void setBrokerage(BigDecimal brokerage) {
        this.brokerage = brokerage;
    }
}